Loading...
Searching...
No Matches
BALL::RadialDistributionFunction Class Reference
Molecular Modeling » Molecular Structure » Radial Distribution Functions

`#include <BALL/STRUCTURE/radialDistributionFunction.h>`

## Public Member Functions

Constructors and Destructor.
| RadialDistributionFunction ()
| RadialDistributionFunction (const RadialDistributionFunction &rdf)
| RadialDistributionFunction (const PiecewisePolynomial &polynomial)
virtual | ~RadialDistributionFunction ()
Assignment.
const RadialDistributionFunction & | operator= (const RadialDistributionFunction &rdf)
virtual void | clear ()
Accessors.
void | setRepresentation (const PiecewisePolynomial &polynomial)
const PiecewisePolynomial & | getRepresentation () const
const Interval & | getRange () const
virtual double | operator() (double x) const

## Predicates.

PiecewisePolynomial | representation_
bool | valid_
bool | isInRange (double x) const
bool | isValid () const
bool | operator== (const RadialDistributionFunction &rdf) const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const

## Detailed Description

Radial distribution function. This class provides an interface for the use of radial distribution functions. These functions describe the deviation of the number density in a real fluid from the ideal (isotropic) case. The representation of such a function is a piecewise polynomial obtained by smoothing spline fit from molecular dynamics simulation.

Definition at line 22 of file radialDistributionFunction.h.

## Constructor & Destructor Documentation

## RadialDistributionFunction() [1/3]

BALL::RadialDistributionFunction::RadialDistributionFunction | ( |  | ) |

Default constructor.

## RadialDistributionFunction() [2/3]

BALL::RadialDistributionFunction::RadialDistributionFunction | ( | const RadialDistributionFunction & | rdf | ) |

Copy constructor.

## RadialDistributionFunction() [3/3]

BALL::RadialDistributionFunction::RadialDistributionFunction | ( | const PiecewisePolynomial & | polynomial | ) |

Detailed constructor.

## ~RadialDistributionFunction()

virtual BALL::RadialDistributionFunction::~RadialDistributionFunction | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::RadialDistributionFunction::clear | ( |  | ) |

virtual

Clear function.

## dump()

virtual void BALL::RadialDistributionFunction::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Debugging and Diagnostics. Dumps the whole content of the object.

## getRange()

const Interval & BALL::RadialDistributionFunction::getRange | ( |  | ) | const

Get the range of the representing function.

## getRepresentation()

const PiecewisePolynomial & BALL::RadialDistributionFunction::getRepresentation | ( |  | ) | const

Get the representation of the RDF.

## isInRange()

bool BALL::RadialDistributionFunction::isInRange | ( | double | x | ) | const

Check, whether a given x is in the range of the RDF.

## isValid()

bool BALL::RadialDistributionFunction::isValid | ( |  | ) | const

Check validity.

## operator()()

virtual double BALL::RadialDistributionFunction::operator() | ( | double | x | ) | const

virtual

Compute the value of the distribution function at a given x.

## operator=()

const RadialDistributionFunction & BALL::RadialDistributionFunction::operator= | ( | const RadialDistributionFunction & | rdf | ) |

Assignment operator.

## operator==()

bool BALL::RadialDistributionFunction::operator== | ( | const RadialDistributionFunction & | rdf | ) | const

Equality operator.

## setRepresentation()

void BALL::RadialDistributionFunction::setRepresentation | ( | const PiecewisePolynomial & | polynomial | ) |

Set the representing PiecewisePolynomial.

## Member Data Documentation

## representation_

PiecewisePolynomial BALL::RadialDistributionFunction::representation_

protected

Definition at line 128 of file radialDistributionFunction.h.

## valid_

bool BALL::RadialDistributionFunction::valid_

protected

Definition at line 132 of file radialDistributionFunction.h.